Subject: RE: [nemo] Re: Question-HAHA

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Thu, 22 Apr 2004 07:50:58 +0100

> -----Original Message-----
> From: marcelo bagnulo [mailto:[email-masked]]
> Sent: mardi 20 avril 2004 13:38
> To: Pascal Thubert (pthubert); Alexandru Petrescu; Jee J.Z.
> Cc: [email-masked]
> Subject: RE: [nemo] Re: Question-HAHA
> 
> Hi Pascal,
> 
> I am not sure that i am really understanding what you are proposing
here, i
> must admit i have only made my first reading of the haha draft, but
are you
> supposing that the aggregated home prefix will be injected through
several
> providers?
Well, I expect that a provider who proposes such a service owns several
points of presence distributed worldwide, and advertises this mobile
aggregation from some of these POPs.

> If so, i am not really sure this will be acceptable. I mean,the only
known
> way to preserve routing system scalability is to use strict provider
> aggregation, which means that IPs will only inject its own aggregate
into
> the routing system and that no end sites prefixes will be cisible in
the
> global routing table.
> AFAIU you are proposing that that a route to the home prefix is
injected in
> the DFZ routing table? is this correct? if so, how do plan to make the
> routing system scale?

Only the most global aggregation of all the SP mobile services has to be
exposed from several places. But I guess this is a valid discussion to
have with actual deployers.

> Regards, marcelo
> 
> > -----Mensaje original-----
> > De: [email-masked] [mailto:[email-masked]]En nombre de
Pascal
> > Thubert (pthubert)
> > Enviado el: lunes, 19 de abril de 2004 10:12
> > Para: Alexandru Petrescu; Jee J.Z.
> > CC: [email-masked]
> > Asunto: RE: [nemo] Re: Question-HAHA
> >
> >
> > You may want to give a look at the appendix in the HAHA protocol.
> >
> > For the global HA distribution, there is an overall aggregation of
all
> > MNPs that is advertised by all HAs, wherever they are (they are not
> > expected to be on a same link) to the infrastructure (the internet).
So
> > all the MNPs are 'topologically correct' at any of the HA regarding
the
> > external infrastructure.
> >
> > Then the HAs are cross connected with a mesh of tunnels, over which
they
> > run HAHA, in order to distribute a finer granularity of routes. The
MNPs
> > are partitioned in smaller aggregations that belong to a given home
> > link, which aggregation is advertised by HAs to other HAs using
HAHA. If
> > a MRs binds to its normal HA, the HA does not need to reinject the
MNP
> > routes to the other HAs because the MNP belongs to the aggregation
that
> > it already advertises.
> >
> > By if a foreign MR binds a foreign MNP to the HA, then the HA needs
to
> > reinject the MNP granularity over HAHA, long as the binding stands.
If
> > the MR uses an MNP address to bind, it does not need to recomputed a
> > Home Address, but if it uses a home link address, then it needs to
> > compute it from the prefix on the new home link.
> >
> > For end to end communications, the MR has to choose between it's
careof,
> > it's home address and its address on MNP. We already discussed the
> > heuristics for that choice. The MNP based address is the longest
lasting
> > one, but it's also the most costly in terms of path (hops).
> >
> > LFN communication should not be interrupted but for the duration of
the
> > BU and then the MNP route redistribution between HAs.
> >
> > Pascal
> >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> > Alexandru Petrescu
> > > Sent: vendredi 16 avril 2004 23:30
> > > To: Jee J.Z.
> > > Cc: [email-masked]
> > > Subject: Re: [nemo] Re: Question-HAHA
> > >
> > > Jee J.Z. wrote:
> > > >> Pascal Thubert (pthubert) wrote:
> > > >>
> > > >>> It depends on the model. If the MR takes its home address from
> > > >>> its MNP then it does not need to. If the Home address is from
a
> > > >>> home link, then it needs to change if it takes a home agent on
a
> > > >>>  different home link. This may happen in the case of Home
Agent
> > > >>> Global Distribution with the HAHA protocol.
> > > >>
> > > >> Right, and in all the above cases all app->level communications
> > > >> running on MR or LFN will be interrupted when MR >changes its
HA,
> > > >> right?
> > > >
> > > > Why will all communications (running on MR or LFN) be
interrupted in
> > > >  the first case (the MR does not need to change its home
address)?
> > >
> > > Because one can not have the same Home Address topologically
correct
> > at
> > > two different Home Agents that sit on different links (links
separated
> > > by routers), right?
> > >
> > > > Moreover, in the second case (the MR needs to change its home
> > > > address), why will communications running on LFN be interrupted?
> > >
> > > Because the address of the LFN is derived from a prefix that is
> > > topologically correct at only one HA, and that prefix can not be
> > > topologically correct at another HA that sits on a different link
> > (links
> > > separated by routers), right?
> > >
> > > On another hand, if it is assumed somehow that a MNP prefix or a
Home
> > > Address can be made topologically correct at two distinct places
in
> > the
> > > network mesh (like with multi-homing or something) then no Mobile
IPv6
> > > is needed at all to tunnel traffic from a Home Address to a
Care-of
> > > Address, because the Care-of Address is, in fact, the Home Address
> > > itself that was made topologically correct everywhere, no?
> > >
> > > Alex
> >